Skip to content

Required Evidences

Request

Fetches the required evidences for a profile to complete additional customer verification.

If one or more evidences are returned, the customer should submit those evidences using the upload-evidences endpoint.

See the Supported Evidences guide for the list of possible evidence types and how to submit them.

Security
UserToken
Path
profileIdinteger, (int64)required

The unique identifier of the profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v3/profiles/{profileId}/verification-status/required-evidences' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved required evidences.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
required_evidencesArray of strings

List of evidence types required to complete verification.

Response
{ "required_evidences": [ "SOURCE_OF_WEALTH", "INCOME", "USE_CASE_COUNTRIES" ] }